明经CAD社区

 找回密码
 注册

QQ登录

只需一步,快速开始

搜索
查看: 2374|回复: 1

请问如何设置选择过滤,请看这段代码的问题。

[复制链接]
发表于 2007-4-29 15:59 | 显示全部楼层 |阅读模式

   Editor ed = Autodesk.AutoCAD.ApplicationServices.Application.DocumentManager.MdiActiveDocument.Editor;
   Autodesk.AutoCAD.DatabaseServices.TypedValue[] tv = new TypedValue[1];
   tv[0]=new TypedValue(0,"POLYLINE");
   Autodesk.AutoCAD.EditorInput.SelectionFilter sf = new SelectionFilter(tv);
   romptSelectionOptions opts =new PromptSelectionOptions();
   opts.AllowDuplicates = true;
   opts.MessageForAdding="请选择一条等高线:";
   romptSelectionResult  res = ed.GetSelection(opts,sf);
   if(res.Status!=PromptStatus.OK)
    return;
   Autodesk.AutoCAD.EditorInput.SelectionSet ss = res.Value;
   ObjectId[] oids = ss.GetObjectIds();
   for(int i=0;i<oids.Length;i++)
   {
    ed.WriteMessage("\n"+oids.ToString());
   }

以上代码想实现只选择多段线,但是却选不到多段线。是什么问题呢??

发表于 2007-8-26 19:43 | 显示全部楼层

你的等高线是否 “拟合”过,如果拟合过应该可以。

如果没有拟合过,那么就是lwpolyline:     tv[0]=new TypedValue(0,"LWPOLYLINE");轻多义线

您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号 )  
©2000-2023 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2024-6-23 09:47 , Processed in 0.130528 second(s), 23 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表